# Build the PCRE2 library from source
set(PCRE_ROOT_DIR ${CMAKE_SOURCE_DIR}/pcre2/)
set(PCRE_BUILD_DIR ${CMAKE_BINARY_DIR}/pcre2/)

execute_process(COMMAND ${CMAKE_COMMAND} -E make_directory ${PCRE_BUILD_DIR})
execute_process(COMMAND ${CMAKE_COMMAND} -E copy_directory ${PCRE_ROOT_DIR} ${PCRE_BUILD_DIR})
execute_process(COMMAND ${CMAKE_COMMAND} ${PCRE_BUILD_DIR}
  -DBUILD_SHARED_LIBS=Y
  -DPCRE2_BUILD_PCRE2GREP=N
  -DPCRE2_BUILD_TESTS=N
  WORKING_DIRECTORY ${PCRE_BUILD_DIR})
execute_process(COMMAND make WORKING_DIRECTORY ${PCRE_BUILD_DIR})

set(PCRE2_LIBRARIES ${CMAKE_BINARY_DIR}/pcre2/libpcre2-8.so CACHE STRING "PCRE2 dynamic libraries" FORCE)
include_directories(${CMAKE_BINARY_DIR}/pcre2/)
install(PROGRAMS ${PCRE2_LIBRARIES} DESTINATION ${MAXSCALE_LIBDIR})
